=== staging/Makefile ===
subdir-$(WEBSOCKET_RT)+=websocket.mk

subdir-$(DATE)+=mod_date.mk
subdir-$(FORMPARSER_DEPECATED)+=mod_formparser.mk
subdir-$(WOLFSSL)+=mod_wolfssl.mk
subdir-$(METHODLOCK_DEPRECATED)+=mod_methodlock.mk
subdir-$(TINYSVCMDNS_DEPRECATED)+=mod_tinysvcmdns.mk
subdir-$(UPGRADE)+=mod_upgrade.mk
subdir-$(PYTHON)+=mod_python.mk
subdir-$(FORWARD)+=mod_forward.mk
subdir-$(AUTHZ_MANAGER)+=mod_authmngt.mk
