=== include/ouistiti/Makefile ===
include-y+=ouistiti.h
