=== packages/debian/changelog ===
ouistiti (3.5.0-1) stable; urgency=low

  * updated modules: python

 -- Marc Chalain <marc.chalain@gmail.com> Tue, 31 Oct 2023 10:01:46 +0200

ouistiti (3.4.0-1) stable; urgency=low

  * Quality Gate crossing

 -- Marc Chalain <marc.chalain@gmail.com> Tue, 17 Oct 2023 14:10:11 +0200

ouistiti (3.3.0-1) unstable; urgency=low

  * new modules: python, forward
  * stabilized modules: openssl, webstream

 -- Développeur <developper@Corto>  Fri, 02 Jun 2023 10:12:02 +0200

ouistiti (3.2.1-1) stable; urgency=low

  * new libouistiti
  * module configuration
  * new vhost support
  * path_info of cgi
  * development sdk for external modules
  * new entries in configuration: init_d, include

 -- Marc Chalain <marc.chalain@gmail.com>  Sun, 12 Dec 2021 23:09:57 +0100

ouistiti (3.1.0-1) unstable; urgency=low

  * libhttpserver renamed libouistiti
  * libwebsocket renamed libouibsocket
  * -W to set the working directory
  * expiration managed by authentication
  * dirlisting on / URI
  * remove double / in the URI

 -- Marc Chalain <marc.chalain@gmail.com>  Thu, 11 Mar 2021 17:48:46 +0100

ouistiti (3.0-1) stable; urgency=medium

  * authentication
  * userfilter
  * user management

 -- Marc Chalain <marc.chalain@gmail.com>  Thu, 11 Mar 2021 17:48:46 +0100
