=== packages/debian/control ===
Source: ouistiti
Section: universe/web
Priority: extra
Build-Depends: debhelper (>=9),
               libconfig-dev,
               libjansson-dev,
               libsqlite3-dev,
               libssl-dev (>=3.0.0),
               libpython3-dev (>=3.8)
Standards-Version: 4.0.0
Description: lightweight and fast HTTP server
Maintainer: Marc Chalain <marc.chalain@gmail.com>
Homepage: https://github.com/ouistiti-project/ouistiti

Package: ouistiti
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: HTTP server for embedded devices
 Ouistiti is a small and fast HTTP server for embedded device.
 The goal of ouistiti is to host easily a server for configuration of the device.
 It offers services like authentication, websocket proxy or REST API on files.

Package: ouistiti-dev
Architecture: any
Multi-Arch: same
Section: devel
Depends: ouistiti, ${misc:Depends}, ${shlibs:Depends}
Description: header files for ouistiti HTTP server

Package: ouistiti-utils
Architecture: any
Section: net
Multi-Arch: same
Depends: ouistiti, ${misc:Depends}, ${shlibs:Depends}
Description: utils for ouistiti HTTP server
 Ouistiti-utils is a collection of sample applications for websocket server, password manager...
